Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class XMLProxy

    java.lang.Object
      |
      +--com.bea.wlpi.common.XMLProxy

public class XMLProxy
extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.XMLReader

Provide a proxy to delegate XML parsing.

This class delegates all parsing work over to destination handler, and returns parsing to the original handler when the end of certain XML piece is hit.

For destination handler, XMLProxy was no different than a SAX parser, it can delegate parsing job even further by setting XMLProxy's content handler; For the orginal handler side, it was a content handler doing all parsing.

Using this proxy technique, one can delegate the parsing of certain XML section to external objects and ensure the parsing is handed back at the end.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLProxy(java.lang.String end, org.xml.sax.XMLReader parser, org.xml.sax.ContentHandler handler)` Construct a new XMLProxy.

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `parse(org.xml.sax.InputSource input)`
`void` | `parse(java.lang.String systemId)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes atts)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLProxy

    public XMLProxy(java.lang.String end,
                    org.xml.sax.XMLReader parser,
                    org.xml.sax.ContentHandler handler)

  Construct a new XMLProxy. The old content handler is marked and will be reset as the content handler of this parsing once parsing reaches the end.

  Parameters:
    `end` - The element name for the end of XML section which indicates that parsing should be returned to the original handler.
    `parser` - The parser.
    `handler` - The ContendHandler which does the parsing for this particular section.

Method Detail

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String name)
                    throws org.xml.sax.SAXException

  Specified by:
    endElement in interface org.xml.sax.ContentHandler

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    endDocument in interface org.xml.sax.ContentHandler

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    characters in interface org.xml.sax.ContentHandler

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Specified by:
    startPrefixMapping in interface org.xml.sax.ContentHandler

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Specified by:
    endPrefixMapping in interface org.xml.sax.ContentHandler

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Specified by:
    skippedEntity in interface org.xml.sax.ContentHandler

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Specified by:
    ignorableWhitespace in interface org.xml.sax.ContentHandler

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    processingInstruction in interface org.xml.sax.ContentHandler

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    setDocumentLocator in interface org.xml.sax.ContentHandler

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    startDocument in interface org.xml.sax.ContentHandler

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String name,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    startElement in interface org.xml.sax.ContentHandler

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Specified by:
    getFeature in interface org.xml.sax.XMLReader

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Specified by:
    setFeature in interface org.xml.sax.XMLReader

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Specified by:
    getProperty in interface org.xml.sax.XMLReader

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Specified by:
    setProperty in interface org.xml.sax.XMLReader

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Specified by:
    setEntityResolver in interface org.xml.sax.XMLReader

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    getEntityResolver in interface org.xml.sax.XMLReader

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Specified by:
    setDTDHandler in interface org.xml.sax.XMLReader

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Specified by:
    getDTDHandler in interface org.xml.sax.XMLReader

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Specified by:
    setContentHandler in interface org.xml.sax.XMLReader

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    getContentHandler in interface org.xml.sax.XMLReader

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Specified by:
    setErrorHandler in interface org.xml.sax.XMLReader

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    getErrorHandler in interface org.xml.sax.XMLReader

### parse

    public void parse(org.xml.sax.InputSource input)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    parse in interface org.xml.sax.XMLReader

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    parse in interface org.xml.sax.XMLReader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)